<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">

    <title>myPacMan</title>
    <style>


        * {
            margin: 0;
        }
        .up{
            width: 200px;
            height: 100px;
            background-color: red;
            border: 2px solid red;
            border-radius: 50% 50% 0 0 / 100% 100% 0 0;
            display: flex;
            justify-content: center;
            align-items: center;
            transform: rotate(-45deg);
            transform-origin:center bottom ;
            animation:up-move 1s linear infinite alternate-reverse;

        }
        .circle{
            animation: move 10s linear infinite;
            display: inline-block;
            position: absolute;
            top: 100px;
            left:100px;

        }
        .up::after{
            content:"" ;
            width: 10px;
            height: 10px;
            background-color: black;
            border-radius: 50%;
            border: black solid 2px;
        }
        .down{
            width: 200px;
            height: 100px;
            background-color: red;
            border: 2px solid red;
            border-radius: 0 0 50% 50%  / 0 0 100% 100% ;
            transform: rotate(45deg);
            transform-origin:center top ;
            animation:down-move 1s linear infinite alternate-reverse;}

        @keyframes up-move {
            0%
            {transform: rotate(0);}
            100%
            {transform: rotate(-20deg);}
        }
        @keyframes down-move {
            0%
            {transform: rotate(0);}
            100%
            {transform: rotate(20deg);}
        }
        .wrapp{
            animation: wrapper 10s linear infinite;
        }

    </style>

</head>
<body >

<div class="circle">
    <div class="wrapp">
        <div class="up"></div>
        <div class="down"></div>
    </div>
</div>


<script src="script/script.js"></script>
</body>
</html>